Bug 1255270 - Installing Package 'Capsule-installer' and then running `katello-service status` shows "Success!" without configuring Capsule
Installing Package 'Capsule-installer' and then running `katello-service stat...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule (Show other bugs)
6.1.0
Unspecified All
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-20 03:24 EDT by DipenDevra
Modified: 2017-07-18 15:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 19:38:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description DipenDevra 2015-08-20 03:24:14 EDT
Description of problem: 

When 'Capsule-installer' package is installed and then upon running `katello-service status` shows "Success!". Even though Capsule server is not configured. 


Version-Release number of selected component (if applicable):
Satellite 6.1, Capsule 6.1

How reproducible: Always


Steps to Reproduce:
1. Register the Capsule to satellite server.

2. Now run the following package to install packages required to configure Capsule:-

----
 # yum install capsule-installer 
---- 

3. Now check the service status:-

----
 # katello-service status

Success!
----

Actual results: Upon running `katello-service status` it shows "Success!" though Capsule has not been configured.


Expected results: `Katello-service` should state the message "Capsule installed but not configured"


Additional info: Customer is asking for more Interactive message.
Comment 3 Bryan Kearney 2016-07-26 11:25:24 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 4 Bryan Kearney 2016-07-26 11:41:34 EDT
Moving 6.2 bugs out to sat-backlog.

Note You need to log in before you can comment on or make changes to this bug.